<ng-container *ngIf="!isLoading">
    <div class="container-fluid">
        <div class="row post-card-row">
            <div class="col pl-0 pr-0">
                <button mat-button color="primary" (click)="setIsAddNewPost()">Yeni Olay Ekle</button>
            </div>
        </div>
        <div *ngIf="isAddNewPost" class="row mb-2" style="text-align: center;">
            <div class="col">
                <mcs-add-post (newPostAdded)="newPostAdded($event)"></mcs-add-post>
            </div>
        </div>

        <ng-container *ngIf="postList && postList.length > 0" >
            <div *ngFor="let post of postList"  class="row mb-2 post-card-row" style="text-align: center;">
                <div class="col mb-2 pl-0 pr-0" style="text-align: center;">
    
                    <mcs-post-card [postData]="post"></mcs-post-card>
    
                </div>
            </div>
        </ng-container>
        

    </div>

</ng-container>

<ng-container *ngIf="!isLoading && (!this.postList || this.postList.length === 0)">
    <div class="container-fluid">
        <div class="row" style="text-align: center;">
            <div class="col-12">
                <i>Bir sorun oluştu. Lütfen daha sonra tekrar deneyin.</i>
            </div>
        </div>
    </div>
</ng-container>

<ng-container *ngIf="isLoading">
    <div class="container-fluid">
        <div class="row" style="text-align: center;">
            <div class="col-12">
                <mat-spinner style="display: inline-flex;"></mat-spinner>
            </div>
        </div>
        <div class="row" style="text-align: center;">
            <div class="col-12">
                <i>Yükleniyor, lütfen bekleyiniz...</i>
            </div>
        </div>
    </div>
</ng-container>